<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <title>News feed page</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
    <link rel="stylesheet" href="https://www.w3schools.com/lib/w3-theme-blue-grey.css">
    <!--<link rel='stylesheet' href='https://fonts.googleapis.com/css?family=Open+Sans'>-->
    <!--<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">-->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
    <script src="https://kit.fontawesome.com/ecfa2fa507.js" crossorigin="anonymous"></script>
    <link rel="stylesheet" href="/feed-page.css">
</head>
<body>
<div class="w3-top">
    <div class="w3-bar w3-left-align w3-large backgroundColor">
        <a sec:authorize="isAuthenticated()" class="w3-bar-item w3-button w3-padding-large w3-hover-white"
           th:href="@{/feed}"><i class="fa fa-home"></i></a>
        <a th:href="@{/user}" class="w3-bar-item w3-button w3-hide-small w3-padding-large w3-hover-white"
           title="Account"><i class="fa fa-user"></i></a>
        <a th:href="@{/logout}" class="w3-bar-item w3-button w3-right w3-padding-large w3-hover-white"
           title="Log out"><i class="fas fa-sign-out-alt"></i></a>
        <a th:href="@{/admin}" sec:authorize="hasRole('ADMIN')
                    " class="w3-bar-item w3-button w3-hide-small w3-padding-large w3-hover-white"
           title="Admin portal">
            <i class="fas fa-user-shield" style="color: #FBB448"></i>
        </a>
    </div>
</div>

<div class="container w3-content" style="max-width:1400px;margin-top:80px">
    <div class="w3-row-padding">

        <!--        user profile details column + tabs-->
        <div class="w3-col m4">
            <div class="w3-row-padding">
                <div class="w3-card w3-round-xlarge backgroundColor">
                    <div class="w3-container" th:object="${user}"><br>
                        <h4 class="w3-center userNameHolder" th:id="${user.username}" th:text="${user.getAlias()}">My
                            Profile</h4><br>
                        <p class="w3-center"><img th:src="${user.picture}" class="w3-circle"
                                                  style="height:106px;width:106px;" alt="Avatar" src=""
                                                  onmouseover="showPic(this)"
                                                  onmouseout="normalPicImg(this)"></p>
                        <hr>
                        <br>

                        <div th:if="${user.getInfo().getRank()!=null}">
                            <p><span> <i class="fab fa-steam" style="font-size:20px"></i></span>
                                <span>Rank: </span>
                                <span th:text="${user.getInfo().getRank().getName()}"></span>
                                <span> <img th th:src="${user.getInfo().getRank().getImage()}"
                                            class="w3-right" style="height: 40px;width:75px"
                                            alt="Map picture"></span>
                            </p>
                        </div>
                        <br>
                        <div th:if="${user.getInfo().getNationality()!=null}">
                            <p><span> <i class="fas fa-globe-americas" style="font-size:20px"></i></span>
                                <span>Nationality: </span>
                                <span th:text="${user.getInfo().getNationality().name}"></span>
                                <span> <img th th:src="${user.getInfo().getNationality().getImage()}"
                                            class="w3-circle w3-right" style="height: 50px;width:50px"
                                            alt="Nationality picture"></span>
                            </p>
                        </div>
                        <br>
                        <div th:if="${user.getInfo().getFavoriteWeapon()!=null}">
                            <p><span><i class="fas fa-dizzy" style="font-size: 20px"></i></span>
                                <span>Favourite weapon: </span>
                                <span th:text="${user.getInfo().getFavoriteWeapon().name}"></span>
                                <span> <img th th:src="${user.getInfo().getFavoriteWeapon().getImage()}"
                                            class="w3-right" style="height: 50px;width:60px"
                                            alt="Weapon picture" onmouseover="showPic(this)"
                                            onmouseout="normalImg(this)"></span>
                            </p>
                        </div>
                        <br>
                        <div th:if="${user.getInfo().getFavoriteMap()!=null}">
                            <p><span><i class="fas fa-map" style="font-size: 20px"></i></span>
                                <span>Favourite map: </span>
                                <span th:text="${user.getInfo().getFavoriteMap().name}"></span>
                                <span> <img th th:src="${user.getInfo().getFavoriteMap().getImage()}"
                                            class="w3-circle w3-right" style="height: 50px;width:60px"
                                            alt="Map picture" onmouseover="showPic(this)" onmouseout="normalImg(this)"></span>
                            </p>
                        </div>
                        <br>
                        <div th:if="${user.getInfo().getDescription()!=null}">
                            <p><span><i class="fas fa-feather-alt" style="font-size: 20px"></i></span>Description:
                            </p>
                            <p th:text="${user.getInfo().getDescription()}"></p>
                        </div>


                    </div>
                </div>
                <br>
                <div class="w3-bar backgroundColor">
                    <button class="w3-bar-item w3-button tablink w3-red" onclick="openCity(event,'Posts')">Posts
                    </button>
                    <button class="w3-bar-item w3-button tablink w3-green" th:id="${user.id}"
                            th:if="${friend.toString().equalsIgnoreCase('NONE')}"
                            onclick="sendRequest(this.id)"> Send friend request
                    </button>
                </div>
            </div>
        </div>

        <!--        dynamic tabs-->
        <div class="w3-col m8">

            <!--            posts-->
            <div class="w3-container">
                <div id="Posts" class="w3-container city">
                    <div class="w3-row-padding">
                        <div class="w3-col m12">
                            <!--                            <div class="w3-card w3-round w3-white">-->
                            <div class="w3-container w3-padding">
                                <div id="postDiv"></div>
                                <!--                                </div>-->
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>
</div>


<script>
    function openCity(evt, cityName) {
        var i, x, tablinks;
        x = document.getElementsByClassName("city");
        for (i = 0; i < x.length; i++) {
            x[i].style.display = "none";
        }
        tablinks = document.getElementsByClassName("tablink");
        for (i = 0; i < x.length; i++) {
            tablinks[i].className = tablinks[i].className.replace(" w3-red", "");
        }
        document.getElementById(cityName).style.display = "block";
        evt.currentTarget.className += " w3-red";
    }
    function showPic(x) {
        x.style.height = "100%";
        x.style.width = "100%";
    }

    function normalImg(x) {
        x.style.height = "50px";
        x.style.width = "60px";
    }

    function normalPicImg(x) {
        x.style.height = "106px";
        x.style.width = "106px";
    }
</script>

<script
        src="https://code.jquery.com/jquery-3.4.1.js"
        integrity="sha256-WpOohJOqMqqyKL9FccASB9O0KwACQJpFTUBLTYOVvVU="
        crossorigin="anonymous"></script>
<script src="/JavaScript/userJS/friend-requests.js"></script>
<script src="/JavaScript/userJS/send-friend-request.js"></script>
<script src="/JavaScript/userJS/new-post.js"></script>
<script src="/JavaScript/userJS/make-like.js"></script>
<script src="/JavaScript/userJS/user-get-profile-posts.js"></script>
<script src="/JavaScript/userJS/user-delete-comments.js"></script>
<script src="/JavaScript/userJS/get-comments.js"></script>
<script src="/JavaScript/userJS/user-dynamic-search.js"></script>
<script src="/JavaScript/userJS/user-get-users.js"></script>
<script src="/JavaScript/userJS/user-update-profile.js"></script>
<script src="/JavaScript/userJS/write-comment.js"></script>
<script src="/JavaScript/userJS/user-update-comment.js"></script>
<script src="/JavaScript/userJS/make-comment-like.js"></script>
</body>
</html>